import { configureAxios, request } from '../requests'

import { addAlertOk } from './alerts'

export function refreshSubtitles(type, id, season, episode) {
  switch (type) {
    case 'movie':
      var resourceURL = `/movies/${id}`
      return request(
        'MOVIE_SUBTITLES_UPDATE',
        configureAxios().post(`${resourceURL}/subtitles/refresh`),
        [
          addAlertOk("Subtitles refreshed"),
        ],
        {
          imdb_id: id,
        },
      )
    case 'episode':
      var resourceURL = `/shows/${id}/seasons/${season}/episodes/${episode}`
      return request(
        'EPISODE_SUBTITLES_UPDATE',
        configureAxios().post(`${resourceURL}/subtitles/refresh`),
        [
          addAlertOk("Subtitles refreshed"),
        ],
        {
          imdb_id: id,
          season: season,
          episode: episode,
        },
      )
    default:
      console.log("refreshSubtitles - Unknown type " + type)
  }
}
